MiKTeX 2.9 problems - maybe hyperref

Showing 1-13 of 13 messages
MiKTeX 2.9 problems - maybe hyperref Ahmed Musa 2/25/11 2:01 PM
I updated MiKTeX 2.9 today using the Update Manager and discovered
that my old files won't compile anymore. I get the error 'Some
Postscript specials couldn't be rendered'. The error disappears if I
don't load hyperref. Please where can I find an older version of
hyperref? I guess the problem is from version v6.82b of hyperref.
Re: MiKTeX 2.9 problems - maybe hyperref Herbert Schulz 2/25/11 2:54 PM
In article
<4d812cf6-9b8b-42d5-b136-06f5bae0a292@s18g2000vbe.googlegroups.com>,
 Ahmed Musa <amu...@gmail.com> wrote:

Howdy,

This sounds more like a problem where you are compiling with pdflatex
rather than latex or you are telling hyperref that you are doing that.

Good Luck,
Herb Schulz

Re: MiKTeX 2.9 problems - maybe hyperref Ahmed Musa 2/25/11 4:04 PM
On Feb 25, 10:54 pm, Herbert Schulz <he...@wideopenwest.com> wrote:
> In article
> <4d812cf6-9b8b-42d5-b136-06f5bae0a...@s18g2000vbe.googlegroups.com>,

>  Ahmed Musa <amus...@gmail.com> wrote:
>
> > I updated MiKTeX 2.9 today using the Update Manager and discovered
> > that my old files won't compile anymore. I get the error 'Some
> > Postscript specials couldn't be rendered'. The error disappears if I
> > don't load hyperref. Please where can I find an older version of
> > hyperref? I guess the problem is from version v6.82b of hyperref.
>
> Howdy,
>
> This sounds more like a problem where you are compiling with pdflatex
> rather than latex or you are telling hyperref that you are doing that.
>
> Good Luck,
> Herb Schulz

Thanks, but that is surely not the case.

Re: MiKTeX 2.9 problems - maybe hyperref Heiko Oberdiek 2/25/11 6:46 PM
Ahmed Musa <amu...@gmail.com> wrote:

> I updated MiKTeX 2.9 today using the Update Manager and discovered
> that my old files won't compile anymore. I get the error 'Some
> Postscript specials couldn't be rendered'.

It doesn't look like an error of a TeX engine.
If you are using a DVI viewer on a .dvi file, enhanced
with PostScript specials, then this error might be
even correct.

> The error disappears if I don't load hyperref.
> Please where can I find an older version of hyperref?

.tds.zip files:
ftp://download.gnu.org.ua/pub/release/hyperref

sources:
http://svn.gnu.org.ua/viewvc/hyperref/tags/

If you find a bug, please make a minimal example.

--
Heiko Oberdiek

Re: MiKTeX 2.9 problems - maybe hyperref Ahmed Musa 2/25/11 9:00 PM
On Feb 26, 2:46 am, Heiko Oberdiek <heiko.oberd...@googlemail.com>
wrote:

Thanks. I will reinstall old hyperref, but you may be right, that the
problem is with the DVI viewer. The error log follows:

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
MiKTeX Problem Report
Message: Some PostScript specials could not be rendered.
Data: Error: /undefined in H.S
Operand stack:
--nostringval--PermitFileReading--nostringval--PermitFileWriting--
nostringval--
Execution stack:
%interp_exit   .runexec2   --nostringval--   --nostringval--  --
nostringval--   2   %stopped_push   --nostringval--   --
nostringval--   --nostringval--   false   1   %stopped_push   1914
1   3   %oparray_pop   1913   1   3   %oparray_pop   1897   1   3
%oparray_pop   1787   1   3   %oparray_pop   --nostringval--
%errorexec_pop   .runexec2   --nostringval--   --nostringval--   --
nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
   --dict:1166/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--
--dict:95/300(L)--   --dict:17/200(L)--
Current allocation mode is local
MiKTeX GPL Ghostscript  9.00: Unrecoverable error, exit code 1

Source: Libraries\MiKTeX\Dvi\Ghostscript.cpp
Line: 372
MiKTeX: 2.9
OS: Microsoft Windows 7 Home Premium Edition, 64-bit (build 7600)
Invokers: explorer/WinEdt
SystemAdmin: no
PowerUser: no
Root0: C:\Users\amusa\AppData\Roaming\MiKTeX\2.9
Root1: C:\Users\amusa\AppData\Local\MiKTeX\2.9
Root2: C:\ProgramData\MiKTeX\2.9
Root3: C:\Users\amusa\AppData\Local\MiKTeX\2.9\tex
Root4: C:\Users\amusa\AppData\Local\Local TeX Packages
Root5: C:\Program Files (x86)\MiKTeX 2.9
UserInstall: C:\Users\amusa\AppData\Roaming\MiKTeX\2.9
UserConfig: C:\Users\amusa\AppData\Roaming\MiKTeX\2.9
UserData: C:\Users\amusa\AppData\Local\MiKTeX\2.9
CommonInstall: C:\Program Files (x86)\MiKTeX 2.9
CommonConfig: C:\ProgramData\MiKTeX\2.9
CommonData: C:\ProgramData\MiKTeX\2.9

Re: MiKTeX 2.9 problems - maybe hyperref Rolf Niepraschk 2/26/11 2:23 AM
Am 26.02.2011 06:00, schrieb Ahmed Musa:
...

> Thanks. I will reinstall old hyperref, but you may be right, that the
> problem is with the DVI viewer. The error log follows:
...
Don't use a dvi viewer but better a postscript viewer or even better
convert the postscript file to pdf.

...Rolf
--
|| Rolf Niepraschk, email: Rolf (.) Niepraschk (at) gmx (.) de
|| Berlin, Germany

Re: MiKTeX 2.9 problems - maybe hyperref Ahmed Musa 2/26/11 2:53 AM

Thanks, but what of inverse DVI search, which I assume is not
available in PDF?

Re: MiKTeX 2.9 problems - maybe hyperref Ulrike Fischer 2/26/11 3:39 AM
Am Fri, 25 Feb 2011 21:00:00 -0800 (PST) schrieb Ahmed Musa:

> Thanks. I will reinstall old hyperref, but you may be right, that the
> problem is with the DVI viewer.

Miktex has changed YAP:

http://blog.miktex.org/post/2011/02/Yap-24-render-method.aspx

Play around with the render methods. If the problem persits you
should try to make a minimal example that demonstrates the problem,
so that other people can check if there is a bug in YAP.


--
Ulrike Fischer

Re: MiKTeX 2.9 problems - maybe hyperref Ahmed Musa 2/26/11 5:27 AM

\documentclass[a4paper,11pt,final]{article}
\makeatletter

\usepackage{hyperref}
\hypersetup
{colorlinks=true,linkcolor=red,pdfpagemode=UseThumbs,
  implicit=true,breaklinks=true,pagebackref=true,backref=true,
 
bookmarks=true,bookmarksnumbered=true,hyperfootnotes=true,debug=true,
  naturalnames=false,citecolor=purple,pdfview=FitH,pdfstartview=FitH
}
\usepackage{doipubmed}
\usepackage{lipsum}
\begin{document}
\lipsum[1-2]
\end{document}


MiKTeX Problem Report
Message: Some PostScript specials could not be rendered.
Data: Error: /undefined in H.S
Operand stack:

Re: MiKTeX 2.9 problems - maybe hyperref Ulrike Fischer 2/26/11 6:07 AM
Am Sat, 26 Feb 2011 05:27:30 -0800 (PST) schrieb Ahmed Musa:


>>> Thanks. I will reinstall old hyperref, but you may be right, that the
>>> problem is with the DVI viewer.
>>
>> Miktex has changed YAP:
>>
>> http://blog.miktex.org/post/2011/02/Yap-24-render-method.aspx
>>
>> Play around with the render methods. If the problem persits you
>> should try to make a minimal example that demonstrates the problem,
>> so that other people can check if there is a bug in YAP.
 
> \documentclass[a4paper,11pt,final]{article}
> \makeatletter
>
> \usepackage{hyperref}
> \hypersetup
> {colorlinks=true,linkcolor=red,pdfpagemode=UseThumbs,
>   implicit=true,breaklinks=true,pagebackref=true,backref=true,
>  
> bookmarks=true,bookmarksnumbered=true,hyperfootnotes=true,debug=true,
>   naturalnames=false,citecolor=purple,pdfview=FitH,pdfstartview=FitH
> }
> \usepackage{doipubmed}
> \usepackage{lipsum}
> \begin{document}
> \lipsum[1-2]
> \end{document}

This example is sufficient to demonstrate the problem:

\documentclass{article}
\usepackage{hyperref}


\usepackage{lipsum}
\begin{document}
\lipsum[1-2]
\end{document}

And as I already suggested it is due to the changes in the render
method. With pk-mode you get the error, with dvips mode it works
fine.

Solutions:
1. Set the default render method to dvips (options, tab display)

or if you prefer pk-mode

2. use the hypertex-driver with hyperref
(\usepackage[hypertex]{hyperref}). You will have to remove the
driver option if you want to process the dvi with dvips.

Btw: You are setting quite a lot options in \hypersetup which are
ignored at this place. Move them to the optional argument of
\usepackage{hyperref}. Check the log for messages like

Package hyperref Warning: Option `implicit' has already been used,
(hyperref)                setting the option has no effect on input
line 13.

--
Ulrike Fischer

Re: MiKTeX 2.9 problems - maybe hyperref Ahmed Musa 2/26/11 6:51 AM
> Ulrike Fischer- Hide quoted text -
>
> - Show quoted text -

Many thanks. You have saved me a lot of time.

Re: MiKTeX 2.9 problems - maybe hyperref Philipp Stephani 2/26/11 8:27 AM
Ahmed Musa <amu...@gmail.com> writes:

For PDF there is SyncTeX (implemented a few years ago, but probably less
widespread than DVI sync).

--
Change “LookInSig” to “tcalveu” to answer by mail.

MiKTeX 2.9 update problems Ariovaldo 2/5/13 4:14 AM
Hello all

I installed Miktex 2.9 (Windows 7 Enterprise) some days ago. Today I tried to run update (Admin) and I got the error message:

  "The operation could not be completed for the following reason:
   
   LZMA decoder error.

   Details: hr=1 "

Any help

Thanks

Ariovaldo